package lu.etat.pch.icefaces;

import javax.faces.component.UICommand;
import javax.faces.el.ValueBinding;
import javax.faces.context.FacesContext;

/**
 * Created by IntelliJ IDEA.
 * User: goebel
 * Date: May 16, 2008
 * Time: 11:22:07 AM
 * To change this template use File | Settings | File Templates.
 */
public class Spinner extends UICommand {

    public static final String COMPONENT_TYPE = "lu.etat.pch.icefaces.Spinner";
    public static final String DEFAULT_RENDERER_TYPE = "lu.etat.pch.icefaces.SpinnerRenderer";


    private int min;
    private int max;

    private Integer value = 0;
//    private Integer value;

    public Spinner() {
        System.out.println("Creating spinner ...");
    }

    public String getComponentType() {
        return COMPONENT_TYPE;
    }

    public String getRendererType() {
        return DEFAULT_RENDERER_TYPE;
    }
    
    public int getMin() {
        return min;
    }

    public void setMin(int min) {
        this.min = min;
    }

    public int getMax() {
        return max;
    }

    public void setMax(int max) {
        this.max = max;
    }

    public Integer getValue() {
        ValueBinding vb = getValueBinding("value");
        if (vb != null) {
            return Integer.parseInt(vb.getValue(FacesContext.getCurrentInstance()).toString());
        }
        return value;
    }

    public void setValue(Integer value) {        
        ValueBinding vb = getValueBinding("value");
        if (vb != null) {
            vb.setValue(FacesContext.getCurrentInstance(), value);
        } else {
            this.value = value;
        }
    }

}
